debian: depend on libdbd-sqlite3

Make sure that we don't fail at startup with:

<0009> db.c:621 Failed to create database connection to sqlite3 db
'sms.db'; Is the sqlite3 database driver for libdbi installed on this
system?

Tested by building the Debian package and looking at its depends.

Related: OS#3771
Change-Id: I7c099212a6ad7d87978c3dce63ce7385d8076bd1
changes/43/13043/1
Oliver Smith 4 years ago
parent 64623e1848
commit 0dfa61e39e
  1. 2
      debian/control

2
debian/control vendored

@ -30,7 +30,7 @@ Homepage: https://osmocom.org/projects/osmomsc
Package: osmo-msc
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}, libdbd-sqlite3
Description: OsmoMSC: Osmocom's Mobile Switching Center for 2G and 3G circuit-switched mobile networks
The Mobile Switching Center (MSC) is the heart of 2G/3G
circuit-switched services. It terminates the A-interface links from the

Loading…
Cancel
Save